import React from 'react';
import type { SearchIndex } from 'mongodb-data-service';
import type { SearchSortColumn } from '../../modules/search-indexes';
import type { SearchIndexesStatus } from '../../modules/search-indexes';
import type { SortDirection } from '../../modules';
type SearchIndexesTableProps = {
    indexes: SearchIndex[];
    isWritable?: boolean;
    readOnly?: boolean;
    onSortTable: (column: SearchSortColumn, direction: SortDirection) => void;
    onDropIndex: (name: string) => void;
    onEditIndex: (name: string) => void;
    onRunAggregateIndex: (name: string) => void;
    openCreateModal: () => void;
    onPollIndexes: () => void;
    status: SearchIndexesStatus;
};
export declare const SearchIndexesTable: React.FunctionComponent<SearchIndexesTableProps>;
declare const _default: import("react-redux").ConnectedComponent<(props: Omit<SearchIndexesTableProps & {
    children?: React.ReactNode;
}, "readOnly"> & Partial<Pick<SearchIndexesTableProps & {
    children?: React.ReactNode;
}, "readOnly">>) => React.ReactElement<{}, string | React.JSXElementConstructor<any>>, {
    children?: React.ReactNode;
    readOnly?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=search-indexes-table.d.ts.map